/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.report.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.information.entity.Information;
import com.jeeplus.modules.sg.material.entity.Material;
import com.jeeplus.modules.sg.report.entity.SgReport;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ReportMapper extends BaseMapper<Material> {
   List<SgReport> findData();
   List<SgReport> findList(SgReport sgReport);
   List<SgReport> findUnitData();
   List<SgReport> findUnitList(SgReport sgReport);
}